#ifndef TestDialog_hpp
#define TestDialog_hpp

#include <QDialog>
#include <QEvent>
#include <QMetaEnum>

// https://stackoverflow.com/questions/22535469/how-to-get-human-readable-event-type-from-qevent
// User: Shank
template<typename EnumType>
QString toString(const EnumType& enumValue)
{
    const char* enumName=qt_getEnumName(enumValue);
    const QMetaObject* metaObject=qt_getEnumMetaObject(enumValue);
    if (metaObject)
    {
        const int enumIndex = metaObject->indexOfEnumerator(enumName);
        return QString("%1::%2::%3").arg(metaObject->className(),
                                         enumName,
                                         metaObject->enumerator(enumIndex).valueToKey(enumValue));
    }
    return QString("%1::%2").arg(enumName).arg(static_cast<int>(enumValue));
}

class TestDialog : public QDialog
{
	Q_OBJECT
	public:
	TestDialog(QWidget* parent=0);
	~TestDialog();

    bool event(QEvent*);  
};


#endif 
